Namespaces | Functions
libzmf_utils.cpp File Reference
`#include "libzmf_utils.h"`
`#include <unicode/ucnv.h>`
`#include <unicode/utypes.h>`
`#include <cstring>`
`#include <memory>`
`#include <boost/math/constants/constants.hpp>`

## Namespaces
namespace | libzmf

## Functions
uint8_t | libzmf::readU8 (const RVNGInputStreamPtr &input, bool)
uint16_t | libzmf::readU16 (const RVNGInputStreamPtr &input, bool bigEndian)
uint32_t | libzmf::readU32 (const RVNGInputStreamPtr &input, bool bigEndian)
uint64_t | libzmf::readU64 (const RVNGInputStreamPtr &input, bool bigEndian)
int32_t | libzmf::readS32 (const RVNGInputStreamPtr &input, bool bigEndian)
float | libzmf::readFloat (const RVNGInputStreamPtr &input, bool bigEndian)
const unsigned char * | libzmf::readNBytes (const RVNGInputStreamPtr &input, const unsigned long numBytes)
void | libzmf::skip (const RVNGInputStreamPtr &input, unsigned long numBytes)
void | libzmf::seek (const RVNGInputStreamPtr &input, const unsigned long pos)
void | libzmf::seekRelative (const RVNGInputStreamPtr &input, const long pos)
unsigned long | libzmf::getLength (const RVNGInputStreamPtr &input)
void | libzmf::appendCharacters (librevenge::RVNGString &text, const unsigned char *characters, uint32_t size, const char *encoding)
void | libzmf::writeU16 (librevenge::RVNGBinaryData &buffer, const int value)
void | libzmf::writeU32 (librevenge::RVNGBinaryData &buffer, const int value)
double | libzmf::rad2deg (double value)
double | libzmf::normalizeAngle (double radAngle)